# 32/64bit spec-file
#
Name:		subdownloader
Version:	2.0.18
Release:	%mkrel 2

Summary:	Program for download/upload subtitles for video files and DVDs
Group:		Video
License:	GPLv3 
URL:		http://www.subdownloader.net/
Source:	        %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:  desktop-file-utils
BuildRequires:	gettext 
Requires:	python >= 2.7
Requires: python-qt4 
Requires: python-pycrypto	
Requires: python-kaa-metadata

%description
SubDownloader is a program for automatic download/upload 
subtitles for videofiles (DIVX,MPEG,AVI,VOB,etc) and DVD's
using fast hashing.


%prep
%setup -q -n %{name}-%{version}

%build
#nobuild

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{py_sitedir}/%{name}
cp -R {gui,languages,cli,FileManagement,modules,run.py,locale} \
%{buildroot}%{py_sitedir}/%{name}


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SubDownloader
Comment=Download/upload subtitles of movies.
Exec=%{name}
Icon=%{_datadir}/pixmaps/subdownloader.png
MimeType=video/avi;
StartupNotify=false
Terminal=false
Type=Application
Categories=Qt;KDE;AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF


#icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}/{%_miconsdir,%_iconsdir}
install -m 644 gui/images/%{name}.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
convert -scale 48 %{buildroot}%{_datadir}/pixmaps/%{name}.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
install -m 644 gui/images/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 gui/images/%name.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

#man
mkdir -p %{buildroot}%{_mandir}/man1/
install -pm 644 %{name}.1 \
%{buildroot}%{_mandir}/man1/

#laucher
mkdir -p %buildroot/%_bindir/
cat > %buildroot/%_bindir/%{name} << EOF
#!/bin/sh
cd %{py_sitedir}/%{name}
python run.py
cd /
EOF

chmod +x %{buildroot}%_bindir/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING
%{_bindir}/%{name}
%{py_sitedir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%name.png
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_mandir}/man1/*

%changelog
* Fri Aug 16 2013 billybot <billybot> 2.0.18-2pclos2013
- update python 2.7

* Fri Feb 15 2013 Ken <lxgator at gmail.com> 2.0.18-1pclos2013
- initial build
